-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-D33
-- * IBM Tivoli License Manager
-- *
-- * (C) Copyright IBM Corp. 2002, 2004.  All Rights Reserved.
-- *              
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************

-------------------------------------------------------------------------------
-- Foreign keys drop
-------------------------------------------------------------------------------
alter table ADM.ADMIN_CUST_REL       drop foreign key ADMINISTRATOR_FK;
alter table ADM.ADMIN_CUST_REL       drop foreign key CUSTOMER_FK;
alter table ADM.ADMIN_CUST_REL       drop foreign key PROFILE_FK;
alter table ADM.AGENT                drop foreign key CUSTOMER_FK;
alter table ADM.AGENT                drop foreign key DIVISION_FK;
alter table ADM.AGENT                drop foreign key NODE_FK;
alter table ADM.AGENT                drop foreign key SERVER_FK;
alter table ADM.AGENT_EVENT          drop foreign key AGENT_FK;
alter table ADM.AGENT_INV            drop foreign key AGENT_FK;
alter table ADM.COMP_MOD_REL         drop foreign key COMPONENT_FK;
alter table ADM.COMP_MOD_REL         drop foreign key MODULE_FK;
alter table ADM.COMPONENT            drop foreign key VENDOR_FK;
alter table ADM.DIVISION             drop foreign key CUSTOMER_FK;
alter table ADM.ENDUSER              drop foreign key CUSTOMER_FK;
alter table ADM.ENTITLEMENT          drop foreign key COMPONENT_FK;
alter table ADM.ENTITLEMENT          drop foreign key CUSTOMER_FK;
alter table ADM.LIC_TARGET_REL       drop foreign key LICENSE_FK;
alter table ADM.LIC_USER_REL         drop foreign key ENDUSER_FK;
alter table ADM.LIC_USER_REL         drop foreign key LICENSE_FK;
alter table ADM.LICENSE              drop foreign key ENTITLEMENT_FK;
alter table ADM.LICENSE_DISTRIBUTION drop foreign key LICENSE_FK;
alter table ADM.LICENSE_DISTRIBUTION drop foreign key SERVER_FK;
alter table ADM.NODE                 drop foreign key CUSTOMER_FK;
alter table ADM.PROFILE_ACTION       drop foreign key PROFILE_FK;
alter table ADM.SERVER               drop foreign key CUSTOMER_FK;

-------------------------------------------------------------------------------
-- Check contraints drop
-------------------------------------------------------------------------------
alter table ADM.AGENT     drop constraint AGENT_CK;
alter table ADM.COMPONENT drop constraint COMPONENT_CK;
alter table ADM.DIVISION  drop constraint DIVISION_CK;
alter table ADM.LICENSE   drop constraint LICENSE_CK1;
alter table ADM.LICENSE   drop constraint LICENSE_CK2;
alter table ADM.LICENSE   drop constraint LICENSE_CK3;
alter table ADM.MODULE    drop constraint MODULE_CK;
alter table ADM.UNKNOWN   drop constraint UNKNOWN_CK;
alter table ADM.COMMAND   drop constraint COMMAND_CK1;
alter table ADM.COMMAND   drop constraint COMMAND_CK2;

-------------------------------------------------------------------------------
-- Views drop
-------------------------------------------------------------------------------
drop view ADM.ADMINISTRATOR_V;
drop view ADM.DIVISION_V;
drop view ADM.USAGE_V;
drop view ADM.INVENTORY_V;

-- Warehouse views
drop view ADM.TEDW_CUSTOMER;
drop view ADM.TEDW_DIVISION;
drop view ADM.TEDW_AGENT;
drop view ADM.TEDW_PRODUCT;
drop view ADM.TEDW_INSTALL;

-------------------------------------------------------------------------------
-- Triggers drop
-------------------------------------------------------------------------------
drop trigger ADM.ADMIN_CUST_REL_TR1;
drop trigger ADM.ADMIN_CUST_REL_TR2;
drop trigger ADM.ADMINISTRATOR_TR1;
drop trigger ADM.ADMINISTRATOR_TR2;
drop trigger ADM.AGENT_TR1;
drop trigger ADM.AGENT_TR2;
drop trigger ADM.COMP_MOD_REL_TR1;
drop trigger ADM.COMP_MOD_REL_TR2;
drop trigger ADM.COMPONENT_TR1;
drop trigger ADM.COMPONENT_TR2;
drop trigger ADM.CUSTOMER_TR1;
drop trigger ADM.CUSTOMER_TR2;
drop trigger ADM.DIVISION_TR1;
drop trigger ADM.DIVISION_TR2;
drop trigger ADM.ENDUSER_TR1;
drop trigger ADM.ENDUSER_TR2;
drop trigger ADM.ENTITLEMENT_TR1;
drop trigger ADM.ENTITLEMENT_TR2;
drop trigger ADM.LIC_TARGET_REL_TR1;
drop trigger ADM.LIC_TARGET_REL_TR2;
drop trigger ADM.LIC_USER_REL_TR1;
drop trigger ADM.LIC_USER_REL_TR2;
drop trigger ADM.LICENSE_TR1;
drop trigger ADM.LICENSE_TR2;
drop trigger ADM.MODULE_TR1;
drop trigger ADM.MODULE_TR2;
drop trigger ADM.NODE_TR1;
drop trigger ADM.NODE_TR2;
drop trigger ADM.SERVER_TR1;
drop trigger ADM.SERVER_TR2;
drop trigger ADM.UNKNOWN_TR1;
drop trigger ADM.UNKNOWN_TR2;
drop trigger ADM.VENDOR_TR1;
drop trigger ADM.VENDOR_TR2;

drop trigger ADM.ENDUSER_CHK_LN1;
drop trigger ADM.ENDUSER_CHK_LN2;
drop trigger ADM.LIC_TGT_DEL_CHK1;
drop trigger ADM.LIC_TGT_DEL_CHK2;
drop trigger ADM.LIC_TGT_DEL_CHK3;
-- Import / export triggers
drop trigger ADM.DIVISION_EXT_ID;
drop trigger ADM.LICENSE_EXT_ID;
drop trigger ADM.NODE_EXT_ID;
drop trigger ADM.ENDUSER_EXT_ID;
-- Historical triggers
drop trigger ADM.AGENT_H1;
drop trigger ADM.AGENT_H2;
drop trigger ADM.AGENT_H3;
drop trigger ADM.AGENT_H4;
drop trigger ADM.DIVISION_H1;
drop trigger ADM.DIVISION_H2;
drop trigger ADM.DIVISION_H3;
drop trigger ADM.DIVISION_H4;
drop trigger ADM.LICENSE_H1;
drop trigger ADM.LICENSE_H2;
drop trigger ADM.LICENSE_H3;
drop trigger ADM.LICENSE_H4;
drop trigger ADM.LIC_USER_HREL1;
drop trigger ADM.LIC_USER_HREL4;
drop trigger ADM.LIC_TARGET_H1;
drop trigger ADM.LIC_TARGET_H4;
drop trigger ADM.AGENT_DIV_HREL1;
drop trigger ADM.AGENT_DIV_HREL2;
drop trigger ADM.AGENT_DIV_HREL3;
drop trigger ADM.SERVER_H1;
drop trigger ADM.SERVER_H2;
drop trigger ADM.SERVER_H3;
drop trigger ADM.SERVER_H4;
