-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-D33
-- * IBM Tivoli License Manager
-- *
-- * (C) Copyright IBM Corp. 2002, 2004.  All Rights Reserved.
-- *              
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************


-------------------------------------------------------------------------------
-- Update Timestamp of SWCAT.MODULE Triggers
-------------------------------------------------------------------------------

create trigger SWCAT.COMP_MOD_REL_TIME1
    after insert on SWCAT.COMP_MOD_REL
    referencing new as NEW for each row mode db2sql
        update SWCAT.MODULE
        set ID = ID
        where ID = NEW.MODULE_ID;

create trigger SWCAT.COMP_MOD_REL_TIME2
    after update on SWCAT.COMP_MOD_REL
    referencing new as NEW for each row mode db2sql
        update SWCAT.MODULE
        set ID = ID
        where ID = NEW.MODULE_ID;

create trigger SWCAT.COMP_MOD_REL_TIME3
    after delete on SWCAT.COMP_MOD_REL
    referencing old as OLD for each row mode db2sql
        update SWCAT.MODULE
        set ID = ID
        where ID = OLD.MODULE_ID;

-------------------------------------------------------------------------------
-- Mantain Component Hierarchy trigger
-------------------------------------------------------------------------------

create trigger SWCAT.COMP_HIER1
    after insert on SWCAT.COMPONENT
    referencing new as NEW for each row mode db2sql
    when (NEW.TREE_LEVEL = 3 and NEW.COMPONENT_ID is not null)
    insert into SWCAT.COMP_HIER
        select NEW.ID, NEW.COMPONENT_ID, CMP2.COMPONENT_ID
        from SWCAT.COMPONENT CMP2
        where CMP2.ID = NEW.COMPONENT_ID;

create trigger SWCAT.COMP_HIER2
    after insert on SWCAT.COMPONENT
    referencing new as NEW for each row mode db2sql
    when (NEW.TREE_LEVEL = 3 and NEW.COMPONENT_ID is null)
        insert into SWCAT.COMP_HIER
        values(
            NEW.ID,
            null,
            null);

create trigger SWCAT.COMP_HIER3
    after update of COMPONENT_ID on SWCAT.COMPONENT
    referencing new as NEW for each row mode db2sql
    when (NEW.TREE_LEVEL = 3)
        update SWCAT.COMP_HIER
        set (VERSION_ID, PRODUCT_ID) =
            (select NEW.COMPONENT_ID, CMP.COMPONENT_ID
             from SWCAT.COMPONENT CMP
             where CMP.ID = NEW.COMPONENT_ID)
        where RELEASE_ID = NEW.ID;

create trigger SWCAT.COMP_HIER4
    after update of COMPONENT_ID on SWCAT.COMPONENT
    referencing new as NEW for each row mode db2sql
    when (NEW.TREE_LEVEL = 2)
        update SWCAT.COMP_HIER
        set PRODUCT_ID = NEW.COMPONENT_ID
        where VERSION_ID = NEW.ID;
